<?php
 class Hash {
 public static function encode(string $value) {
 if(empty($value)) return $value;
 return password_hash($value, PASSWORD_BCRYPT, ['cost' => 5]);
 }
 public static function verify(string $value, string $hash) {
 if(empty($value) || empty($hash)) return false;
 return password_verify($value, $hash);
 }
 }
 ?>